#include <iostream>
#include <cmath>

using namespace std;

int main()
{
	long long n,m,x,y,a,b;
	long long ukupnasreca=0;
	cin >> n >> m;
	long long deca[n];
	long long sreca[n];
	long long prijatelji[n];
	long long neprijatelji[n];
	for(long long i=0;i<n;i++)
		cin >> deca[i];
	for(long long j=0;j<n;j++)
	{
		prijatelji[j]=0;
		neprijatelji[j]=0;
	}
	for(long long k=0;k<m;k++)
	{
		cin >> x >> y;
		a=deca[x-1];
		b=deca[y-1];
		if((a>0 && b>0) || (a<0 && b>0 && b>abs(a)) || (b<0 && a>0 && a>abs(b)))
		{
			prijatelji[x-1]=prijatelji[x-1]+1;
			prijatelji[y-1]=prijatelji[y-1]+1;
		}
		else
		{
			neprijatelji[x-1]=neprijatelji[x-1]+1;
			neprijatelji[y-1]=neprijatelji[y-1]+1;
		}
	}
	for(long long o=0;o<n;o++)
	{
		sreca[o]=deca[o]*(prijatelji[o]-neprijatelji[o]);
		ukupnasreca=ukupnasreca+sreca[o];
	}
	cout << ukupnasreca;
	
	return 0;
}